Bug 1291938 - Review Request: nodejs-commonmark - A strongly specified, highly compatible variant of Markdown
Review Request: nodejs-commonmark - A strongly specified, highly compatible v...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Piotr Popieluch
Fedora Extras Quality Assurance
:
Depends On: 1291933 1291934
Blocks: nodejs-reviews 1291949
  Show dependency treegraph
 
Reported: 2015-12-15 17:42 EST by Jared Smith
Modified: 2016-05-27 16:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-27 16:30:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
piotr1212: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jared Smith 2015-12-15 17:42:52 EST
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-commonmark/nodejs-commonmark.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-commonmark/nodejs-commonmark-0.22.1-1.fc24.src.rpm
Description: A strongly specified, highly compatible variant of Markdown
Fedora Account System Username: jsmith
Comment 2 Piotr Popieluch 2015-12-23 15:29:58 EST
rpmlint warning:
nodejs-commonmark.noarch: E: script-without-shebang /usr/lib/node_modules/commonmark/lib/index.js
remove x permission to fix this

[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "BSD (2 clause) MIT/X11 (BSD like)",
     "Unknown or generated". 18 files have unknown license. Detailed output
     of licensecheck in /home/piotr/rpmbuild/1291938-nodejs-
     commonmark/licensecheck.txt
According to LICENSE there are three licenses, BSD, MIT and CC-BY_SA, they need to be added to the licesne tag and broken down per file


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "BSD (2 clause) MIT/X11 (BSD like)",
     "Unknown or generated". 18 files have unknown license. Detailed output
     of licensecheck in /home/piotr/rpmbuild/1291938-nodejs-
     commonmark/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-commonmark-0.22.1-2.fc24.noarch.rpm
          nodejs-commonmark-0.22.1-2.fc24.src.rpm
nodejs-commonmark.noarch: W: only-non-binary-in-usr-lib
nodejs-commonmark.noarch: W: dangling-symlink /usr/lib/node_modules/commonmark/node_modules/entities /usr/lib/node_modules/entities
nodejs-commonmark.noarch: W: dangling-symlink /usr/lib/node_modules/commonmark/node_modules/mdurl /usr/lib/node_modules/mdurl
nodejs-commonmark.noarch: E: script-without-shebang /usr/lib/node_modules/commonmark/lib/index.js
nodejs-commonmark.noarch: W: dangling-symlink /usr/lib/node_modules/commonmark/node_modules/string.prototype.repeat /usr/lib/node_modules/string.prototype.repeat
nodejs-commonmark.noarch: W: no-manual-page-for-binary commonmark
nodejs-commonmark.src: W: invalid-url Source2: tools-0.22.1.tar.bz2
nodejs-commonmark.src: W: invalid-url Source1: tests-0.22.1.tar.bz2
2 packages and 0 specfiles checked; 1 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-commonmark.noarch: W: only-non-binary-in-usr-lib
nodejs-commonmark.noarch: E: script-without-shebang /usr/lib/node_modules/commonmark/lib/index.js
nodejs-commonmark.noarch: W: dangling-symlink /usr/lib/node_modules/commonmark/node_modules/mdurl /usr/lib/node_modules/mdurl
nodejs-commonmark.noarch: W: dangling-symlink /usr/lib/node_modules/commonmark/node_modules/string.prototype.repeat /usr/lib/node_modules/string.prototype.repeat
nodejs-commonmark.noarch: W: dangling-symlink /usr/lib/node_modules/commonmark/node_modules/entities /usr/lib/node_modules/entities
nodejs-commonmark.noarch: W: no-manual-page-for-binary commonmark
1 packages and 0 specfiles checked; 1 errors, 5 warnings.



Requires
--------
nodejs-commonmark (rpmlib, GLIBC filtered):
    /usr/bin/env
    nodejs
    nodejs(engine)
    npm(entities)
    npm(mdurl)
    npm(string.prototype.repeat)



Provides
--------
nodejs-commonmark:
    nodejs-commonmark
    npm(commonmark)



Source checksums
----------------
https://registry.npmjs.org/commonmark/-/commonmark-0.22.1.tgz :
  CHECKSUM(SHA256) this package     : c4f8935824976061870162bd6fe3b199ffa24ff82e59d7194adb84f14e332e1e
  CHECKSUM(SHA256) upstream package : c4f8935824976061870162bd6fe3b199ffa24ff82e59d7194adb84f14e332e1e


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -x CheckOwnDirs -b 1291938
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Jared Smith 2015-12-23 15:59:02 EST
Update to clarify the licensing and to fix the permissions on lib/index.js

Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-commonmark/nodejs-commonmark.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-commonmark/nodejs-commonmark-0.22.1-3.fc24.src.rpm
Comment 4 Piotr Popieluch 2015-12-23 16:45:22 EST
looks good now. approved
Comment 5 Patrick Uiterwijk 2015-12-24 08:31:30 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-commonmark
Comment 6 Piotr Popieluch 2016-05-27 16:30:46 EDT
in f24 and rawhide, closing

Note You need to log in before you can comment on or make changes to this bug.